Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Interface org.w3c.dom.AttributeDefinition

Implementing Classes:
  AttDef

public interface AttributeDefinition
extends Node

Field Summary
static int | CDATA
static int | ENTITIES
static int | ENTITY
static int | FIXED
static int | ID
static int | IDREF
static int | IDREFS
static int | IMPLIED
static int | NAME_TOKEN_GROUP
static int | NMTOKEN
static int | NMTOKENS
static int | NOTATION
static int | REQUIRED

Method Summary
java.lang.String | getAllowedTokens()
int | getDeclaredType()
int | getDefaultType()
Node | getDefaultValue()
java.lang.String | getName()
void | setAllowedTokens(java.lang.String arg)
void | setDeclaredType(int arg)
void | setDefaultType(int arg)
void | setDefaultValue(Node arg)
void | setName(java.lang.String arg)

Field Detail

### CDATA

    public static final int CDATA

### ID

    public static final int ID

### IDREF

    public static final int IDREF

### IDREFS

    public static final int IDREFS

### ENTITY

    public static final int ENTITY

### ENTITIES

    public static final int ENTITIES

### NMTOKEN

    public static final int NMTOKEN

### NMTOKENS

    public static final int NMTOKENS

### NOTATION

    public static final int NOTATION

### NAME_TOKEN_GROUP

    public static final int NAME_TOKEN_GROUP

### FIXED

    public static final int FIXED

### REQUIRED

    public static final int REQUIRED

### IMPLIED

    public static final int IMPLIED

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String arg)

### getAllowedTokens

    public java.lang.String getAllowedTokens()

### setAllowedTokens

    public void setAllowedTokens(java.lang.String arg)

### getDeclaredType

    public int getDeclaredType()

### setDeclaredType

    public void setDeclaredType(int arg)

### getDefaultType

    public int getDefaultType()

### setDefaultType

    public void setDefaultType(int arg)

### getDefaultValue

    public Node getDefaultValue()

### setDefaultValue

    public void setDefaultValue(Node arg)

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |